# GcuIsotope Struct Reference

`#include <chemistry.h>`

Inheritance diagram for GcuIsotope:

List of all members.

## Public Attributes
unsigned char | A
char * | name
GcuValue | abundance
GcuValue | mass
char | spin
char * | decay_modes
GcuDimensionalValue | decay_period

## Detailed Description

GcuIsotope Structure used to describe an isotope

Definition at line 165 of file chemistry.h.

## Member Data Documentation

unsigned char GcuIsotope::A

The nucleon number.

Definition at line 168 of file chemistry.h.

char* GcuIsotope::name

The name of the isotope if any.

Definition at line 170 of file chemistry.h.

GcuValue GcuIsotope::abundance

The terrestrial percent abundance.

Definition at line 172 of file chemistry.h.

GcuValue GcuIsotope::mass

The mass of an atom in atomic units.

Definition at line 174 of file chemistry.h.

char GcuIsotope::spin

The spin of an atom multipiled by 2.

Definition at line 176 of file chemistry.h.

char* GcuIsotope::decay_modes

The decay modes as a comma separated list.

Definition at line 178 of file chemistry.h.

GcuDimensionalValue GcuIsotope::decay_period

The decay period.

Definition at line 180 of file chemistry.h.

The documentation for this struct was generated from the following file:

- chemistry.h